Thread: Stupid question
View Single Post
Old 09-04-2008, 10:13 PM   #3 (permalink)
the_bidness
Thumbs Must Hurt
 
Join Date: Jun 2006
Model: 8300
Carrier: AT&T
Posts: 59
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I think that's it! I'm on the AT&T network and it's an AT&T branded phone. When I go to https://www.blackberry.com/Downloads/browseSoftware.do , and select AT&T, the most recent version listed is still 4.2. How should I go about getting the 4.5? Thanks!
Offline   Reply With Quote